import request from '@/utils/request'


export default {
  getWaterTemperatureList(searchModel) {
    return request({
      url: "/month/getWaterTemperatureList",
      method: 'get',
      params: {
        pageNum: searchModel.pageNum,
        pageSize: searchModel.pageSize,
        stcdIds: searchModel.stcdIds,
        startTime: searchModel.startTime,
        endTime: searchModel.endTime,
        stcd:searchModel.stcd,
        stnm:searchModel.stnm
      }
    })
  },
  importDateToSoft(from){
    return request({
      url: "/month/import/importWaterTemperatureList",
      method: 'post',
      params: {
        startTime: from.startTime,
        endTime: from.endTime,
      }
    })
  }
}
