import request from '@/utils/request'


export default {
  getRainTableList(searchModel) {
    return request({
      url: "/year/getYearRainList",
      method: 'get',
      params: {
        pageNum: searchModel.pageNum,
        pageSize: searchModel.pageSize,
        startTime: searchModel.startTime,
        endTime: searchModel.endTime,
        stcd:searchModel.stcd,
        stnm:searchModel.stnm
      }
    })
  },
  exportRainDataList(){
    return request({
      url: "/export/exportMonthRainList",
      method: 'get',
      responseType: 'blob'
    })
  },
  importDateToSoft(from){
    return request({
      url: "/year/import/importYearRainDateToSoft",
      method: 'post',
      params: {
        startTime: from.startTime,
        endTime: from.endTime,
      }
    })
  }
}
