export const getDate = function(type) {
	var date = new Date();
	var year = date.getFullYear(); //年 ,从 Date 对象以四位数字返回年份
	var month = date.getMonth() + 1; //月 ,从 Date 对象返回月份 (0 ~ 11) ,date.getMonth()比实际月份少 1 个月
	var day = date.getDate(); //日 ,从 Date 对象返回一个月中的某一天 (1 ~ 31)
	var hours = date.getHours(); //小时 ,返回 Date 对象的小时 (0 ~ 23)
	var minutes = date.getMinutes(); //分钟 ,返回 Date 对象的分钟 (0 ~ 59)
	var seconds = date.getSeconds(); //秒 ,返回 Date 对象的秒数 (0 ~ 59)
	//获取当前系统时间
	var currentDate = year + "-" + month + "-" + day + " " + hours + ":" + minutes + ":" + seconds;
	// alert(currentDate);
	//修改月份格式
	if (month >= 1 && month <= 9) {
		month = "0" + month;
	}
	//修改日期格式
	if (day >= 0 && day <= 9) {
		day = "0" + day;
	}
	//修改小时格式
	if (hours >= 0 && hours <= 9) {
		hours = "0" + hours;
	}
	//修改分钟格式
	if (minutes >= 0 && minutes <= 9) {
		minutes = "0" + minutes;
	}
	//修改秒格式
	if (seconds >= 0 && seconds <= 9) {
		seconds = "0" + seconds;
	}
	//获取当前系统时间  格式(yyyy-mm-dd hh:mm:ss)
	var currentFormatDate = year + "-" + month + "-" + day + " " + hours + ":" + minutes + ":" + seconds;
	if (type == 0) {
		currentFormatDate = year + "-" + month + "-" + day;
	} else if (type == 1) {
		currentFormatDate = hours + ":" + minutes + ":" + seconds;
	} else if (type == 2) {
		currentFormatDate = hours + ":" + minutes;
	} else if (type == 3) {
		currentFormatDate = year + "" + month + "" + day + "-" + hours + minutes + seconds;
	} else if (type == 4) {
		currentFormatDate = year + "" + month + "" + day + hours + minutes + seconds;
	} else if (type == 5) {
		currentFormatDate = year + "" + month + "" + day + hours + minutes;
	} else if (type == 6) {
		currentFormatDate = year + "" + month + "" + day + hours + minutes + seconds + randomNum(0, 10000);
	}
	return currentFormatDate;
}

export const formatDate = function(times,type) {
  if (times ===null){
    return ''
  }
	var date = new Date(times);
	var year = date.getFullYear(); //年 ,从 Date 对象以四位数字返回年份
	var month = date.getMonth() + 1; //月 ,从 Date 对象返回月份 (0 ~ 11) ,date.getMonth()比实际月份少 1 个月
	var day = date.getDate(); //日 ,从 Date 对象返回一个月中的某一天 (1 ~ 31)
	var hours = date.getHours(); //小时 ,返回 Date 对象的小时 (0 ~ 23)
	var minutes = date.getMinutes(); //分钟 ,返回 Date 对象的分钟 (0 ~ 59)
	var seconds = date.getSeconds(); //秒 ,返回 Date 对象的秒数 (0 ~ 59)
	//获取当前系统时间
	var currentDate = year + "-" + month + "-" + day + " " + hours + ":" + minutes + ":" + seconds;
	// alert(currentDate);
	//修改月份格式
	if (month >= 1 && month <= 9) {
		month = "0" + month;
	}
	//修改日期格式
	if (day >= 0 && day <= 9) {
		day = "0" + day;
	}
	//修改小时格式
	if (hours >= 0 && hours <= 9) {
		hours = "0" + hours;
	}
	//修改分钟格式
	if (minutes >= 0 && minutes <= 9) {
		minutes = "0" + minutes;
	}
	//修改秒格式
	if (seconds >= 0 && seconds <= 9) {
		seconds = "0" + seconds;
	}
	//获取当前系统时间  格式(yyyy-mm-dd hh:mm:ss)
	var currentFormatDate = year + "-" + month + "-" + day + " " + hours + ":" + minutes + ":" + seconds;
	if (type == 0) {
		currentFormatDate = year + "-" + month + "-" + day;
	} else if (type == 1) {
		currentFormatDate = hours + ":" + minutes + ":" + seconds;
	} else if (type == 2) {
		currentFormatDate = hours + ":" + minutes;
	} else if (type == 3) {
		currentFormatDate = year + "" + month + "" + day + "-" + hours + minutes + seconds;
	} else if (type == 4) {
		currentFormatDate = year + "" + month + "" + day + hours + minutes + seconds;
	} else if (type == 5) {
		currentFormatDate = year + "" + month + "" + day + hours + minutes;
	} else if (type == 6) {
		currentFormatDate = year + "" + month + "" + day + hours + minutes + seconds + randomNum(0, 10000);
	}
	return currentFormatDate;
}

export const localAreaName='鄞州区'
export const longitude=121.6891035
export const latitude=29.760097
export const statsUrlPrefix='http://localhost:8002/stats'

